<script setup lang="ts">
import { RouterLink, RouterView, useRouter } from 'vue-router'
import { routes } from '@/router'
import NavBar from '@/components/NavBar.vue'
</script>

<template>
  <div class="columns">
    <NavBar />
    <main>
      <RouterView />
    </main>
  </div>
</template>

<style scoped>
.columns {
  display: flex;
  flex-wrap: wrap;
  margin-block: 2rem;
  gap: 2rem;

  > nav {
    flex: 1 1 10rem;
  }

  > main {
    flex: 10 1 40rem;
  }
}


</style>
